#ifndef snovis_Environment_h
#define snovis_Environment_h

#include <Lib/main.h>

#include <Lib/Printer.h>
#include <Lib/System.h>

//////////////////////////////////////////////////////////////////////////////
inline bool check_envs(
 const std::string& aArg0
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(!Lib::main::checkPackEnv(aArg0,"OnXLab")) return false;
  if(!Lib::main::checkPackEnv(aArg0,"G4Lab")) return false;
  if(!Lib::main::checkPackEnv(aArg0,"snovis")) return false;

  Lib::Printer printer;
  std::string fs = Lib::System::fileSeparator();
  std::string dir = "Resources"+fs+"Geant4"+fs+"data"+fs;

 {std::string to = dir+"G4NDL";
  if(!Lib::main::checkEnv(aArg0,"NeutronHPCrossSections",to,
                          printer,true)) return false;}

 {std::string to = dir+"PhotonEvaporation";
  if(!Lib::main::checkEnv(aArg0,"G4LEVELGAMMADATA",to,
                          printer,true)) return false;}

 {std::string to = dir+"RadioactiveDecay";
  if(!Lib::main::checkEnv(aArg0,"G4RADIOACTIVEDATA",to,
                          printer,true)) return false;}

 {std::string to = dir+"G4EMLOW";
  if(!Lib::main::checkEnv(aArg0,"G4LEDATA",to,
                          printer,true)) return false;}


  return true;
}

#endif
